@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.webhooks.getWebhook({
id: "id"
});
console.log(response);curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/webhooks/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/webhooks/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"consecutive_failures": 123,
"auto_disabled_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Not Found",
"message": "The requested resource was not found"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Webhooks
Get Webhook
Retrieve a specific webhook by ID
GET
/
webhooks
/
{id}
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";
const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });
const response = await firma.webhooks.getWebhook({
id: "id"
});
console.log(response);Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Path Parameters
Response
Webhook retrieved successfully
Unique identifier for the webhook
Webhook URL
Events that trigger this webhook
Whether the webhook is enabled
Webhook creation timestamp
Webhook description
Number of consecutive delivery failures
Timestamp when the webhook was auto-disabled due to failures
Webhook last update timestamp
Was this page helpful?
⌘I